=== debian/changelog ===
flightgear (1:2024.1.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix typo in package name

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 05 Feb 2026 09:47:16 +0100

flightgear (1:2024.1.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Richard G. ]
  * Support <nocheck> build profile
  * Add libglew-dev to Build-Depends to allow building fgpanel

  [ Dr. Tobias Quathamer ]
  * New upstream version 2024.1.4+dfsg
    - Refresh patches
    - Remove patch, has been applied upstream
  * Update versioned Build-Dependencies to new packages
  * Use Qt6 instead of Qt5.
    Thanks to Bob Wong <ybx332@gmail.com>

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Jan 2026 17:14:31 +0100
