=== debian/control ===
Source: flightgear
Maintainer: Debian FlightGear Crew <team+flightgear@tracker.debian.org>
Uploaders:
 Ove Kaaven <ovek@arcticnet.no>,
 Markus Wanner <markus@bluegap.ch>,
Section: games
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 flightgear-data-ai (>= 1:2024.1.4~) <!nocheck>,
 flightgear-data-base (>= 1:2024.1.4~) <!nocheck>,
 flite1-dev,
 libboost-dev,
 libc-ares-dev,
 libcurl4-gnutls-dev,
 libdbus-1-dev,
 libevent-dev,
 libexpat1-dev,
 libgl-dev,
 libglew-dev,
 libglu1-mesa-dev,
 libgsm1-dev,
 libhtsengine-dev,
 liblzma-dev,
 libopenal-dev,
 libopenscenegraph-dev,
 libplib-dev,
 libsimgear-dev (<= 1:2024.1.999),
 libsimgear-dev (>= 1:2024.1.4~),
 libspeex-dev,
 libspeexdsp-dev,
 libsqlite3-dev,
 libudev-dev [linux-any],
 libudns-dev,
 libx11-dev,
 qt6-base-dev [!armel !armhf],
 qt6-base-private-dev [!armel !armhf],
 qt6-declarative-dev [!armel !armhf],
 qt6-declarative-private-dev [!armel !armhf],
 qt6-svg-dev,
 qt6-tools-dev,
 zlib1g-dev,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/flightgear
Vcs-Git: https://salsa.debian.org/debian/flightgear.git
Homepage: https://www.flightgear.org/

Package: flightgear
Architecture: any
Depends:
 flightgear-data-all (>= 1:2024.1.4~),
 qml6-module-qtquick-window [!armel !armhf],
 qml6-module-qtquick [!armel !armhf],
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 flightgear-phi,
Conflicts:
 metar,
Description: Flight Gear Flight Simulator
 FlightGear Flight Simulator (often shortened to FlightGear or FGFS)
 is a sophisticated free, completely open-source flight simulator
 framework, created by volunteers.
 .
 This package contains the runtime binaries.
